{% extends "_layout.twig" %}

{% block title %}{{ title }}{% endblock %}

	{% block content %}
{% set lsticky = 0 %}
{{ render_page_bar(topbot) }}
{% if time %}
	<table class="c1 autowidth">
		<tr class="h"><td class="b">Latest Threads</td></tr>
		<tr><td class="b n1 center">
			By Threads | <a href="thread.php?time={{ time }}">By Posts</a></a><br><br>
			{{ timelinks('forum') }}
		</td></tr>
	</table>
{% endif %}
<br>
<table class="c1">
	<tr class="h">
		<td class="b h" style="width:30px">&nbsp;</td>
		{% if showforum %}
			<td class="b h">Forum</td>
		{% endif %}
		<td class="b h">Title</td>
		<td class="b h" width="130">Started by</td>
		<td class="b h" width="50">Replies</td>
		<td class="b h" width="50">Views</td>
		<td class="b h" width="130">Last post</td>
	</tr>
	{% set i = 1 %}
	{% for thread in threads %}
		{% if thread.sticky and not time %}
			{% set tr = 1 %}
		{% else %}
			{% if i % 2 %}
				{% set tr = 2 %}
			{% else %}
				{% set tr = 3 %}
			{% endif %}
		{% endif %}

		{% if not time %}
			{% if not thread.sticky and lsticky %}
				<tr class="c"><td class="b" colspan="{% if showforum %}7{% else %}6{% endif %}"></td>
			{% endif %}
			{% set lsticky = thread.sticky %}
		{% endif %}

		<tr class="n{{ tr }} center">
			<td class="b n1">
				{% if log and not thread.isread %}
					{% if thread.closed %}
						{{ new_status("on") }}
					{% else %}
						{{ new_status("n") }}
					{% endif %}
				{% elseif thread.closed %}
					{{ new_status("o") }}
				{% endif %}
			</td>
			{% if showforum %}
				<td class="b"><a href="forum.php?id={{ thread.fid }}">{{ thread.ftitle }}</a></td>
			{% endif %}
			<td class="b left wbreak">
				<a href="thread.php?id={{ thread.id }}">{{ thread.title }}</a>
			</td>
			<td class="b">{{ userlink(thread, 'u1') }}</td>
			<td class="b">{{ thread.replies }}</td>
			<td class="b">{{ thread.views }}</td>
			<td class="b">
				<nobr>{{ thread.lastdate | date(forum_dateformat) }}</nobr><br>
				<span>by {{ userlink(thread, 'u2') }} <a href="thread.php?pid={{ thread.lastid }}#{{ thread.lastid }}">&raquo;</a></span>
			</td>
		</tr>
		{% set i = i + 1 %}
	{% else %}
		<tr>
			<td class="b n1 center" colspan="{% if showforum %}7{% else %}6{% endif %}"><p>No threads found.</p></td>
		</tr>
	{% endfor %}
</table>
{{ fpagelist | raw }}
{% if not time %}<br>{% endif %}
{{ render_page_bar(topbot) }}
	{% endblock %}